Xorg on G5
  • Yokemate of Keyboards
    Yokemate of Keyboards
    Andreas_Wolf
    Posts: 12109 from 2003/5/22
    From: Germany
    > ELFv2 BE ABI works fine on ppc64.

    Yes, I know. Void PPC successfully started it some years back, as comment #50 has been a testimony to.

    > I've been using it since v6.2 and never had any problems with it. Kernel also
    > gets a little bit smaller. As of v6.3 you can also build your BE kernel with
    > clang/lld (at least clang-15 is needed), which was not possible before.

    Yes, I took as much from your comment #70 and added the Clang info shortly after to comment #69 :-)

    > AFAIK it's only a ppc64-thing. 32bit ppc uses a different ABI anyhow.

    Yes both ELFv1 and ELFv2 ABI are PPC64-only (see comment #65). And yes, Linux/PPC32 uses SVR4 ABI (see comment #67).
  • »04.07.23 - 13:15
    Profile
  • Priest of the Order of the Butterfly
    Priest of the Order of the Butterfly
    ernsteiswuerfel
    Posts: 551 from 2015/6/18
    From: Funeralopolis
    :-D Your memory of my postings is certainly better than mine.

    So the news value really only would be ELFv2 BE ABI going default for v6.5. Which is what you already posted. ;-)
    Talos II. [Gentoo Linux] | PMac G5 11,2. PMac G4 3,6. PBook G4 5,8. [MorphOS 3.18 / Gentoo Linux] | Vampire V4 SA [ApolloOS / Amiga OS 3.2.2]
  • »04.07.23 - 13:34
    Profile
  • Priest of the Order of the Butterfly
    Priest of the Order of the Butterfly
    ernsteiswuerfel
    Posts: 551 from 2015/6/18
    From: Funeralopolis
    Ok, then I'll try the new ISO. The beta one from July did not boot on my G5...
    Talos II. [Gentoo Linux] | PMac G5 11,2. PMac G4 3,6. PBook G4 5,8. [MorphOS 3.18 / Gentoo Linux] | Vampire V4 SA [ApolloOS / Amiga OS 3.2.2]
  • »15.09.23 - 21:47
    Profile